Package org.codehaus.groovy.ast.expr

## Class ConstantExpression

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.AnnotatedNode
    - - org.codehaus.groovy.ast.expr.Expression
      - - org.codehaus.groovy.ast.expr.ConstantExpression

- Direct Known Subclasses:
    `AnnotationConstantExpression`

      public class ConstantExpression
      extends Expression

  Represents a constant expression such as null, true, false.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ConstantExpression` | `EMPTY_EXPRESSION` |
    `static ConstantExpression` | `EMPTY_STRING` |
    `static ConstantExpression` | `FALSE` |
    `static ConstantExpression` | `NULL` |
    `static ConstantExpression` | `PRIM_FALSE` |
    `static ConstantExpression` | `PRIM_TRUE` |
    `static ConstantExpression` | `TRUE` |
    `static ConstantExpression` | `VOID` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConstantExpression​(java.lang.Object value)` |
    `ConstantExpression​(java.lang.Object value, boolean keepPrimitive)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getConstantName()` |
    `java.lang.String` | `getText()` |
    `java.lang.Object` | `getValue()` |
    `boolean` | `isEmptyStringExpression()` |
    `boolean` | `isFalseExpression()` |
    `boolean` | `isNullExpression()` |
    `boolean` | `isTrueExpression()` |
    `void` | `setConstantName​(java.lang.String constantName)` |
    `java.lang.String` | `toString()` |
    `Expression` | `transformExpression​(ExpressionTransformer transformer)` | Return a copy of the expression calling the transformer on any nested expressions
    `void` | `visit​(GroovyCodeVisitor visitor)` |

    - ### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

      `getType, setType, transformExpressions, transformExpressions`

    - ### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

      `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

    - ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

      `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NULL

          public static final ConstantExpression NULL

    - #### TRUE

          public static final ConstantExpression TRUE

    - #### FALSE

          public static final ConstantExpression FALSE

    - #### EMPTY_STRING

          public static final ConstantExpression EMPTY_STRING

    - #### PRIM_TRUE

          public static final ConstantExpression PRIM_TRUE

    - #### PRIM_FALSE

          public static final ConstantExpression PRIM_FALSE

    - #### VOID

          public static final ConstantExpression VOID

    - #### EMPTY_EXPRESSION

          public static final ConstantExpression EMPTY_EXPRESSION

  - ### Constructor Detail

    - #### ConstantExpression

          public ConstantExpression​(java.lang.Object value)

    - #### ConstantExpression

          public ConstantExpression​(java.lang.Object value,
                                    boolean keepPrimitive)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### visit

          public void visit​(GroovyCodeVisitor visitor)

      Overrides:
        `visit` in class `ASTNode`

    - #### transformExpression

          public Expression transformExpression​(ExpressionTransformer transformer)

      Description copied from class: `Expression`
      Return a copy of the expression calling the transformer on any nested expressions
      Specified by:
        `transformExpression` in class `Expression`

    - #### getValue

          public java.lang.Object getValue()

      Returns:
        the value of this constant expression

    - #### getText

          public java.lang.String getText()

      Overrides:
        `getText` in class `ASTNode`

    - #### getConstantName

          public java.lang.String getConstantName()

    - #### setConstantName

          public void setConstantName​(java.lang.String constantName)

    - #### isNullExpression

          public boolean isNullExpression()

    - #### isTrueExpression

          public boolean isTrueExpression()

    - #### isFalseExpression

          public boolean isFalseExpression()

    - #### isEmptyStringExpression

          public boolean isEmptyStringExpression()